# The following guidelines are specific to BZR, GIT, HG and SVN packages.
# Other VCS sources are not natively supported by makepkg yet.

# Maintainer: Cameron Miller <cameron@codecameron.dev>
pkgname=dmenu-scripts
pkgver=1.0.r19.def1cf5
pkgrel=1
pkgdesc="Some basic dmenu Scripts to make things a bit easier in life."
arch=('any')
url="https://www.gitlab.com/cabooshyy/dmenu-scripts.git"
license=('GPL3')
groups=()
depends=(dmenu)
makedepends=('git')
optdepends=(
    'emacs: Editor used by dm-config'
    'qtile: dm-logout is setup for this Window Manager'
)
provides=(dmenu-scripts)
conflicts=(dmenu-scripts-git)
replaces=()
backup=()
options=()
install=${pkgname}.install
source=("git+$url")
noextract=()
md5sums=('SKIP')

pkgver() {
	cd "${_pkgname}"
    printf "1.0.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
    cd dmenu-scripts

    sudo rm -rf /etc/cbsh/dmenu-scripts/
    install -d ${pkgdir}/${_pkgname}/etc/cbsh/dmenu-scripts/scripts/
    cp -r "${srcdir}/dmenu-scripts/etc/cbsh/dmenu-scripts/scripts/"* "${pkgdir}/etc/cbsh/dmenu-scripts/scripts/"
    install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
    install -Dm644 README.org "${pkgdir}/usr/share/doc/${pkgname}/README.org"
}
